> For the complete documentation index, see [llms.txt](https://docs.novarpc.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.novarpc.xyz/data-api/orders.md).

# /orders

## POST /v1/{chain}/orders

> The same statistics from \`/orders\_stats\` as well as all orders over that timeframe. The time is inclusive of start\_time and exclusive of end\_time, and is capped at a maximum window of 1 day by default. Repeatedly calling with a high limit may cause rate limiting.

```json
{"openapi":"3.1.0","info":{"title":"api-docs","version":"0.1.0"},"servers":[{"url":"https://api.novarpc.xyz"}],"security":[{"ApiKeyQuery":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","description":"Your API key"}},"schemas":{"Chain":{"type":"string","enum":["eth","base"]},"OrderStatsRequest":{"type":"object","required":["start_time","end_time"],"properties":{"end_time":{"type":"string","format":"date-time"},"include_unmined":{"type":"boolean","description":"If true, all orders are returned. If false, only mined orders are returned."},"limit":{"type":["integer","null"],"description":"Maximum number of orders to aggregate.","default":10000,"minimum":0},"offset":{"type":"integer","minimum":0},"start_time":{"type":"string","format":"date-time"}}},"OrderStatsWithOrders":{"type":"object","required":["stats","orders"],"properties":{"orders":{"type":"array","items":{"$ref":"#/components/schemas/OrderDetail"}},"stats":{"$ref":"#/components/schemas/OrderStats"}}},"OrderDetail":{"type":"object","required":["order_hash","order_type","received_auction_bids","unique_searchers","received_block","received_at","refunds","tx_hashes","prio_fee_paid","mev_backruns","auction_bids","status"],"properties":{"auction_bids":{"type":"array","items":{"$ref":"#/components/schemas/AuctionBidEntry"},"description":"Successful simulation bids for this order, ordered chronologically by time received"},"dropped":{"oneOf":[{"type":"null"},{"$ref":"#/components/schemas/DropInfo","description":"The reason the OFA dropped this order, if any"}]},"mev_backruns":{"type":"array","items":{"$ref":"#/components/schemas/B256"},"description":"If this order was successfully backrun by searchers, this list will contain each of those backrun orders"},"mined_block":{"type":["integer","null"],"format":"int64","description":"The block that included this order; `null` if it has not been mined."},"order_hash":{"type":"string"},"order_type":{"type":"string"},"prio_fee_paid":{"type":"number","format":"double","description":"The prio fee paid on chain"},"received_at":{"type":"string","format":"date-time"},"received_auction_bids":{"type":"integer","format":"int64"},"received_block":{"type":"integer","format":"int64"},"refunds":{"type":"array","items":{"$ref":"#/components/schemas/RefundInfo"}},"status":{"$ref":"#/components/schemas/OrderStatus","description":"The status of this order"},"tag":{"type":["string","null"]},"tx_hashes":{"type":"array","items":{"$ref":"#/components/schemas/B256"},"description":"If this order is a bundle, this is an ordered array containing its transactions. If it is a transaction, this is a single element array\ncontaining its hash"},"unique_searchers":{"type":"integer","format":"int64"}}},"AuctionBidEntry":{"type":"object","required":["searcher","amount","received_at"],"properties":{"amount":{"type":"number","format":"double"},"received_at":{"type":"string","format":"date-time"},"searcher":{"type":"integer","description":"Privacy-preserving, one-based searcher identifier, stable within this order's bid sequence.","minimum":1}}},"DropInfo":{"type":"object","required":["reason"],"properties":{"block_number":{"type":["integer","null"],"format":"int64","description":"The block number at which this order was simulated and dropped. Only present for `SimFailure` drops"},"reason":{"type":"string","description":"Why the order was dropped. Possible values:\n- `Mempool`: the transaction was detected in the public mempool\n- `Mined`: the transaction was already included on-chain before it could be processed\n- `SimFailure: <reason>`: the order failed simulation; the reason text follows the colon"}}},"B256":{"type":"string","pattern":"^0x[0-9a-fA-F]{64}$"},"RefundInfo":{"type":"object","required":["refunded_amount","refund_payout_type","is_backrun"],"properties":{"is_backrun":{"type":"boolean"},"payout_tx_hash":{"type":"string","description":"Transaction sent by Nova to pay this refund."},"refund_payout_type":{"type":"string"},"refunded_amount":{"type":"string"}}},"OrderStatus":{"type":"string","enum":["pending","confirmed","dropped","expired","replaced"]},"OrderStats":{"type":"object","required":["total_orders","included_orders","inclusion_rate","block_0_inclusion_rate","block_1_inclusion_rate","total_refunds_received","mev_refunds","priority_fee_refunds","priority_fees_paid"],"properties":{"block_0_inclusion_rate":{"type":"number","format":"double","description":"Percentage of eligible txs that were included on the same block as they arrived"},"block_1_inclusion_rate":{"type":"number","format":"double","description":"Percentage of eligible txs that were included on the next block after they arrived"},"included_orders":{"type":"integer","format":"int64","description":"Total number of mined orders"},"inclusion_rate":{"type":"number","format":"double","description":"Ratio of included orders / total orders"},"mev_refunds":{"type":"number","format":"double","description":"Captured MEV generated by these orders"},"priority_fee_refunds":{"type":"number","format":"double","description":"Total refunded priority fees"},"priority_fees_paid":{"type":"number","format":"double","description":"Total fees paid (priority fees + block fee recipient payments) for orders that generated a priority fee based refund"},"total_orders":{"type":"integer","format":"int64","description":"Total number of received orders"},"total_refunds_received":{"type":"number","format":"double","description":"Equal to mev_refunds + priority_fee_refunds"}}}}},"paths":{"/v1/{chain}/orders":{"post":{"tags":["Reporting API"],"description":"The same statistics from `/orders_stats` as well as all orders over that timeframe. The time is inclusive of start_time and exclusive of end_time, and is capped at a maximum window of 1 day by default. Repeatedly calling with a high limit may cause rate limiting.","operationId":"orders","parameters":[{"name":"chain","in":"path","description":"Chain to query for","required":true,"schema":{"$ref":"#/components/schemas/Chain"}},{"name":"api_key","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderStatsRequest"}}},"required":true},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderStatsWithOrders"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.novarpc.xyz/data-api/orders.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
